<?php
class websiteDomain {

        const private_net_1 = "192.168.";
        const private_net_2 = "10.2.1.";

	private static $fiberCorpDomainName = "sucursalvirtual.fibercorp.com.ar";

	static function isFiberCorpDomain() {
		if ( $_SERVER['SERVER_NAME'] == websiteDomain::$fiberCorpDomainName)  return true;
		return false;

	}

	static function getDomain() {
		return $_SERVER['SERVER_NAME'];

	}

        static function getUrlBase() {

      	 	$dir = explode("/", $_SERVER['PHP_SELF']);
		$dirActual = "/";

		for ($i=1; $i < sizeof($dir)-1; $i++){
			$dirActual .= $dir[$i] . "/";
		}

                $proto = self::getProtocol();

                $_ret = $proto. $_SERVER['HTTP_HOST'] . $dirActual;

	 	return $_ret;
        }

        static public function getServerName() {

            return $_SERVER["SERVER_NAME"];

        }

        static public   function getProtoAndServerName() {
            return self::getProtocol().self::getServerName(). "/";
        }

        static public function getProtocol() {
                // Bloqueamos el protocolo por el ACE Balancer que negocia conexion https y envia http
                // -----------------------------------------------------------------------------------
                $proto = "https://";

                // Si es una red privada lo calculamos
                // if ( self::isPrivateNetwork() ) {

                    // verifico si es http o https
                    if($_SERVER['HTTPS']) {
                            $proto = "https://";
                    } else {
                            $proto = "http://";
                    }
                //}

                return $proto;
        }

        static function getPathBase(){

            if($_SERVER['HTTPS']) {
			$proto .= "https://";
		} else {
			$proto .= "http://";
		}



            $path= str_replace($proto. $_SERVER['HTTP_HOST'], "", self::getUrlBase());
            return $_SERVER["DOCUMENT_ROOT"].$path;

        }

        static public function isPrivateNetwork() {
            $remoteAddr = $_SERVER["REMOTE_ADDR"];
            return (
                preg_match('/'.self::private_net_1.'/', $remoteAddr)
                or preg_match('/'.self::private_net_2.'/', $remoteAddr)
                );
        }

}

?>